/* 
Theme Name: Laser Focused
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: laser-focused
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

body {
	color: #fff;
}

.lf-faq-section .e-n-accordion-item-title span.e-n-accordion-item-title-icon {
	padding: 5px;
	border: 2px solid #fff;
	border-radius: 30px;
}

/* Menu Cart CSS */
.cart_item img {
	border-radius: 4px;
}

.main-menu .elementor-nav-menu li,
.main-menu .elementor-nav-menu li a{
	margin-bottom: 5px;
}

.woocommerce .elementor-35 .elementor-element.elementor-element-62e0046 .elementor-nav-menu--dropdown a{
	padding-top: 12px;
	padding-bottom: 12px;
}

/* Homepage CSS */
.lf-testimonial-slider .elementor-image-box-wrapper {
	display: flex;
	gap: 15px;
}

.lf-testimonial-slider .elementor-image-box-wrapper .elementor-image-box-img img {
	aspect-ratio: 1/1;
}

.woocommerce ul.products li.product a h2,
.product .elementor-element.elementor-element-9956f03.elementor-wc-products ul.products li.product h2{
	transition: 0.3s ease-in-out;
}

.product .elementor-element.elementor-element-9956f03.elementor-wc-products ul.products li.product h2:hover{
	color: var(--e-global-color-secondary);
}

@media (max-width: 767px){
	.page-template .lf-home-banner .elementor-slides .swiper-slide-bg {
    background-position: 50% 3%;
	background-size: contain !important;
}
}

/* Banner Slider CSS */
.home-slider .elementor-button:after {
	content: "\f061";
	font-family: "Font Awesome 5 Free";
    font-weight: 900;
	padding-left: 10px;	
}

.home-slider .elementor-swiper-button {
	background-color: #E1E1E138;
    border-radius: 30px;
    padding: 16px;
    aspect-ratio: 1 / 1;
    line-height: 1;
	transition: 0.3s ease-in-out
}

.home-slider .elementor-main-swiper .elementor-swiper-button:hover {
	background-color: var( --e-global-color-secondary );
	color: #fff;
}

.home-slider .elementor-swiper-button svg {
	font-size: 0;
}

.home-slider .elementor-swiper-button.elementor-swiper-button-prev:before,
.home-slider .elementor-swiper-button.elementor-swiper-button-next:before {
	font-family: "Font Awesome 5 Free";
    font-weight: 900;	
}

.home-slider .elementor-swiper-button.elementor-swiper-button-prev:before {
	content: "\f060";
}

.home-slider .elementor-swiper-button.elementor-swiper-button-next:before {
	content: "\f061";
}

/* Contact Form CSS */

.lf-contact-form .elementor-mark-required .elementor-field-label:after {
	color: #fff;
}

.lf-contact-form .elementor-message {
    text-align: center;
    padding: 30px 0;
}

/* Product Archive CSS */
.woocommerce .price {
	color: var( --e-global-color-primary ) !important;
}
.price ins {
	text-decoration: none;
}

.products .product,
.lf-product-wrap .product {
	position: relative;
}

.products .product a.button.add_to_cart_button,
.lf-product-wrap .product .add_to_cart_button {
    font-size: 0; 
    padding: 10px; 
	background: #0000001A;
	border-radius: 50%;
	border: 2px solid var( --e-global-color-primary );
	position: absolute;
	top: 15px;
	right: 15px;
	visibility: hidden;
	transition: all 0.3s ease-in-out;
}

.lf-product-wrap .product .add_to_cart_button{
	top: 5px;
    right: 5px;
}

.products .product:hover a.button.add_to_cart_button,
.lf-product-wrap .product:hover .add_to_cart_button {
	visibility: visible;
}

.products a.add_to_cart_button:hover {
	background: #0000002A;
}

.products a.button.add_to_cart_button:before,
.lf-product-wrap .product a.add_to_cart_button:before {
	content: '';
    background-image: url(./assets/images/bag.svg);
    background-repeat: no-repeat;
    background-size: contain;
    width: 22px;
    height: 22px;
    display: inline-block;
}

.woocommerce-ordering select.orderby {
    font-family: "Lato", Sans-serif;
}

.woocommerce div.product div.images .woocommerce-product-gallery__trigger {
	z-index: 90;
}

/* Payment Method Css */

body.wp-singular .p-HeightObserverProvider label.Label {
    margin-bottom: 8px;
    color: #6f7377;
}

/* Product Page CSS */

.elementor-add-to-cart.elementor-product-variable table.variations tr,
.elementor-add-to-cart.elementor-product-variable table.variations tr:hover,
.elementor-add-to-cart.elementor-product-variable table.variations tr th,
.elementor-add-to-cart.elementor-product-variable table.variations tr:hover th,
.elementor-add-to-cart.elementor-product-variable table.variations tr td,
.elementor-add-to-cart.elementor-product-variable table.variations tr:hover td {
	background: #000 !important;
}

.elementor-add-to-cart.elementor-product-variable table.variations tr th.label {
	padding: 0;
}

.elementor-add-to-cart.elementor-product-variable table.variations tr th.label label {
	font-size: 18px;
}

.woo-variation-swatches .wvs-style-squared.variable-items-wrapper .variable-item:not(.radio-variable-item) {
	border-radius: 4px;
	box-shadow: none;
}

.woo-variation-swatches .variable-items-wrapper .variable-item:not(.radio-variable-item) {
	background-color: #000;
	color: #fff;
	border-radius: 4px;
	margin: 10px;
	border: 1px solid #fff;
    text-transform: uppercase;
    padding: 20px 15px;
}

.woo-variation-swatches .variable-items-wrapper .variable-item:not(.radio-variable-item):hover {
	background-color: var(--e-global-color-secondary);
	color: #fff;
	border-color: var(--e-global-color-secondary);
}

.woo-variation-swatches .variable-items-wrapper{
	gap: 20px;
}

.woo-variation-swatches .variable-items-wrapper li{
	margin: 0 !important;
}

.woocommerce-variation-price {
	margin-bottom: 15px;
}

.single-product .wcpa_wrap label.wcpa_field_label {
    color: #fff;
	font-family: "Lato", Sans-serif;
    font-size: 16px;
    font-weight: 600;
}

.elementor-kit-13 .flex-viewport img,
.elementor-kit-13 .swiper-wrapper .elementor-image-box-img img,
.elementor-kit-13 .woocommerce div.product div.images .woocommerce-product-gallery__image a img{
    filter: none;
}

@media (max-width: 1024px) {
    .elementor-widget-wc-archive-products .products {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 600px) {
    .elementor-widget-wc-archive-products ul.products,
	.single-product .elementor-location-single ul.products {
        grid-template-columns: repeat(1, 1fr);
    }
}

.elementor-add-to-cart form.cart .wcpa_wrap input,
.single_variation_wrap .wcpa_wrap input{
    height: 42px !important;
}

.woocommerce-variation-add-to-cart .wcpa_wrap {
    margin-right: 15px;
}

.woocommerce-variation-add-to-cart .wcpa_wrap .wcpa_field_wrap {
    margin: 0 0 20px;
}

.woocommerce-variation-add-to-cart .wcpa_wrap .wcpa_field_label{
	margin: 0 0 10px 0;
}

.woocommerce-variation-price bdi {
    font-size: 24px;
    font-weight: 600;
    font-family: "Lato", Sans-serif;
}

.woocommerce div.product form.cart table td {
    padding-left: 0;
    padding-top: 6px;
}

.woocommerce div.product .elementor-add-to-cart.elementor-product-variable form.cart table.variations .label label,
.woocommerce div.product .elementor-add-to-cart.elementor-product-variable form.cart table.variations .value select{
	font-family: "Lato", Sans-serif;
}

.pswp__caption .pswp__caption__center{
	text-align: center;
    text-transform: capitalize;
}

.woocommerce div.product form.cart .reset_variations {
    padding: 3px 6px;
    border: 1px solid;
    border-radius: 5px;
    margin-top: 8px;
    display: inline-block;
    line-height: 1.4;
}
	
#lf-product-wrapper .products.elementor-grid li.product img {
	filter: grayscale(1) !important;
}

#lf-product-wrapper .products.elementor-grid li.product img:hover {
    filter: none !important;
}

.elementor-location-archive .elementor-products-grid ul.products.elementor-grid li.product a.woocommerce-loop-product__link img,
.search-results .elementor-widget.elementor-widget-theme-post-featured-image img,
#lf-product-wrapper .elementor-loop-container .elementor-widget-image img{
    filter: brightness(108%) contrast(102%) saturate(0%) blur(0px) hue-rotate(0deg);
	padding: 7px;
    background-color: var(--e-global-color-primary);
    object-fit: cover;
}

.elementor-products-grid ul.products.elementor-grid li.product a.woocommerce-loop-product__link img:hover,
.search-results .elementor-widget.elementor-widget-theme-post-featured-image img:hover,
#lf-product-wrapper .elementor-loop-container .elementor-widget-image img:hover{
    filter: brightness(100%) contrast(100%) saturate(100%) blur(0px) hue-rotate(0deg);
}

.single-product ol.flex-control-nav.flex-control-thumbs{
	display: grid;
	grid-template-columns: repeat(7, 1fr);
}
.single-product.woocommerce div.product div.images ol.flex-control-nav.flex-control-thumbs li{
	width: 100%;
}

.elementor-products-grid ul.products.elementor-grid li.product a.woocommerce-loop-product__link h2.woocommerce-loop-product__title:hover {
    color: var(--e-global-color-secondary);
}

.woocommerce.single-product .flex-viewport {
    max-height: 720px !important;
}

@media (min-width: 1024px){
	.elementor-add-to-cart form.cart {
    width: 70%;
}
}

@media (max-width: 767px){
	.elementor-add-to-cart form.cart {
    padding: 0 3%;
}
		
	.archive .e-con-inner .elementor-page-title{
	bottom: 80px;
}
	
	.woocommerce.single-product .flex-viewport {
    max-height: 500px !important;
}
	.single-product ol.flex-control-nav.flex-control-thumbs{
	grid-template-columns: repeat(4, 1fr);
}
}

/* Product Quantity CSS */
.quantity{
    display: flex;
    align-items: center;
}

.quantity .qty{
    width: 60px;
    text-align:center;
}

.lf-add-cart .quantity button.qty-minus,
.lf-add-cart .quantity button.qty-plus,
.woocommerce .lf-add-cart .quantity input.qty {
    width: 50px;
    height: 50px !important;
    cursor:pointer;
	border-style: solid;
    border-color: #fff;
	background-color: #000 !important;
	color: #fff !important;
    padding: 5px !important;
	margin: 0 !important;
}

.woocommerce .quantity .qty {
	border-width: 1px;
	border-radius: 0 !important;
}

.lf-add-cart .quantity button {
	font-size: 22px !important;
}

.quantity button.qty-minus {
	border-width: 1px 0 1px 1px;
	border-radius: 4px 0 0 4px;
}

.quantity button.qty-plus {
	border-width: 1px 1px 1px 0;
	border-radius: 0 4px 4px 0;
}

.lf-add-cart .quantity button:hover,
.woocommerce .lf-add-cart .quantity input.qty:hover {
/* 	border-color: var(--e-global-color-secondary); */
	color: var(--e-global-color-secondary) !important;
}

.quantity input[type=number]::-webkit-inner-spin-button, 
.quantity input[type=number]::-webkit-outer-spin-button  {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

@media screen and (max-width: 768px) {
	.quantity {
		justify-content: flex-end;
	}
}

/* Quantity Cart Page CSS */
.woocommerce-cart .quantity input[type=number].input-text.qty,
.woocommerce-cart .quantity button {
	width: 35px;
    height: 35px;
    max-width: 35px;
	min-height: 35px;
	padding: 0; 
	background-color: transparent; 
	color: #fff;
	border-radius: 4px !important;
	margin: 0;
	border: 1px solid #fff;
	text-align: center;
}

.woocommerce-cart .quantity button {
	font-size: 20px !important;
}

.woocommerce-cart .quantity input[type=number].input-text.qty {
	font-size: 14px;
	margin: 0 5px;
}

.woocommerce-cart .quantity input[type=number].input-text.qty:hover,
.woocommerce-cart .quantity button:hover {
	border-color: var(--e-global-color-secondary);
	color: var(--e-global-color-secondary);
}


/* Product Pagination CSS */
.woocommerce nav.woocommerce-pagination ul li {
	margin-right: 12px;
	width: 40px;
	height: 40px;
	line-height: 1;
}

.woocommerce nav.woocommerce-pagination ul li span,
.woocommerce nav.woocommerce-pagination ul li a {
	font-size: 18px;
	line-height: 20px;
	border: 0;
	border: 1px solid #fff;
	border-radius: 50%;
}

.woocommerce nav.woocommerce-pagination ul li:hover a {
	border-color: var( --e-global-color-secondary );
	border-radius: 50%;
}

/* Category Page CSS */

.sub-cat-wrap .products .product-category a {
    position: relative;
}

.sub-cat-wrap .products .product-category a:before {
    content: '';
	background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.6) 100%);
	background-repeat: no-repeat;
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;      
}

.sub-cat-wrap .products .product-category.product .woocommerce-loop-category__title {
    position: absolute;
    bottom: 15px;
    left: 15px;
	padding: 0; 
}

/* Cart Page CSS  */

.woocommerce-error, .woocommerce-info, .woocommerce-message {
	background-color: var(--e-global-color-a045490);
	color: #fff;
}

.elementor-widget-woocommerce-cart .woocommerce table {
	font-family: "Lato", Sans-serif;
}

.elementor-widget-woocommerce-cart .woocommerce .input-text.qty {
	padding: 5px;
	max-height: 32px;
    min-height: 32px;
}

.woocommerce-cart .cart_item .product-remove a {
	border: 1px solid var( --e-global-color-secondary );
    color: var( --e-global-color-secondary ) !important;
    border-radius: 3px;
    width: 30px;
    height: 30px;
    line-height: 27px;
}

.woocommerce-cart .cart_item .product-remove a:hover {
	border: 1px solid var(--wc-red);
    color: var(--wc-red) !important;
    background: #fff;
}

.woocommerce form .form-row .input-text {
	padding: 15px;
}

@media screen and (max-width: 768px) {
	.elementor-widget-woocommerce-cart .woocommerce table.cart tr {
		padding: 10px;
	}
}

/* Checkout Page CSS */

.select2-container .select2-selection--single .select2-selection__rendered {
	padding: 0;
}

@media (min-width: 767px){
.woocommerce-checkout #wc-stripe-express-checkout-element{
	margin: 12px 20px;
}
}

.lf-order .woocommerce-checkout-payment .wc-stripe-payment-method-instruction {
    color: #424242;
    padding-bottom: 15px;
}

.lf-order .woocommerce-checkout-payment .wc-stripe-payment-method-instruction a,
.lf-order.elementor-widget-woocommerce-checkout-page .woocommerce .woocommerce-privacy-policy-text p a{
    color: #000000;
}

.lf-order .woocommerce-checkout-payment .wc-stripe-payment-method-instruction a:hover,
.lf-order.elementor-widget-woocommerce-checkout-page .woocommerce .woocommerce-privacy-policy-text p a:hover{
    color: #118462;
}

.lf-order.elementor-widget-woocommerce-checkout-page .woocommerce .woocommerce-checkout #payment {
    background: #e5e5e5;
}

.elementor-widget-woocommerce-checkout-page.lf-order .woocommerce .wc_payment_method label {
    padding-left: 10px;
	color: #2c2c2c;
}

.lf-order.elementor-widget-woocommerce-checkout-page .woocommerce .woocommerce-privacy-policy-text p {
    margin-top: 10px;
    color: #2c2c2c;
}

.wcpa_cart_meta{
	padding-left: 0;
}

.wcpa_cart_meta .wcpa_cart_meta_item .wcpa_cart_meta_item-label,
.wcpa_cart_meta .wcpa_cart_meta_item{
	margin-bottom: 0px;
    font-size: 14px;
}

.cart_item td.product-name{
	font-size: 16px;
}


/* Account Page CSS */
.woocommerce-MyAccount-content .woocommerce-info a.button {
	background-color: var(--e-global-color-secondary);
}

.woocommerce-account .elementor-widget-woocommerce-my-account .woocommerce-MyAccount-content .woocommerce-info a.button:hover{
	background-color: #fff;
	color: #11120D;
}

/* Blog Archive CSS */
.lf-blog-wrap .elementor-pagination a,
.lf-blog-wrap .elementor-pagination span {
	font-size: 18px;
    line-height: 20px;
    border: 0;
    border: 1px solid #fff;
    border-radius: 50%;
    padding: 10px;
    background-color: #02010100;
    width: 40px;
    height: 40px;
    display: inline-block;
}

.lf-single-blog .post-navigation__arrow-wrapper {
	font-size: 18px;
	line-height: 20px;
	border: 0;
	border: 1px solid #fff;
	border-radius: 50%;
	background-color: #02010100;
	padding: 0.5em;
}

.lf-post-info ul li span.elementor-post-info__terms-list a.elementor-post-info__terms-list-item:hover {
	color: var(--e-global-color-secondary);
}

.lf-blog-wrap .elementor-pagination span:hover,
.lf-blog-wrap .elementor-pagination a:hover,
.lf-single-blog .post-navigation__arrow-wrapper:hover {
	border-color: var( --e-global-color-secondary );
	border-radius: 50%;
	background-color:var( --e-global-color-secondary );
}

/* Order Success Page */

.woocommerce-order {
	max-width: 90%;
    margin: 0 auto;
}

.woocommerce-order,
.woocommerce-order table *,
.woocommerce .woocommerce-order  .shop_table tfoot th{
	color: #fff;
	font-family: "Lato", Sans-serif;
}

.woocommerce-order h2 {
	font-family: "Georgia", Sans-serif
}

.woocommerce-order .woocommerce-thankyou-order-received {
	padding: 20px 20px 40px;
    font-size: 26px;
    text-align: center;
    font-weight: 600;
    color: #fff;
}

.woocommerce-order .woocommerce-order-overview {
	border: 1px solid #fff;
    padding: 20px;
	border-radius: 8px;
}

.woocommerce-order .woocommerce-order-details,
.woocommerce-order .woocommerce-customer-details {
	border: 1px solid var(--sections-border-color);
    padding: 30px;
    border-radius: 8px;
    background: var(--sections-background-color);
}